IntelliJ IDEA:更新Composer的依赖项

由 Carrie 创建, 最后一次修改 2019-03-15

更新依赖项

您可以单独将特定软件包更新到其最新版本,IntelliJ IDEA将自动更新您的composer.json。或者,您可以立即更新composer.json文件的require和require-dev部分中列出的所有包。 

更新特定包

  1. 执行以下操作之一:
    • 在composer.json的上下文菜单中,选择:Composer|管理依赖关系。

    • 要从默认的composer.json更新包,请在主菜单上选择:工具|Composer|管理依赖项。

  2. 从标有tick的软件包中的Available Packages列表中选择所需的软件包,然后单击“更新”。

要一次更新所有包

  • 请执行以下任何操作:

    • 在composer.json的上下文菜单中,选择:Composer|更新。

    • 在编辑器中打开composer.json,然后单击编辑器面板顶部的“更新”快捷方式链接。

    • 要更新默认composer.json中列出的所有包,请在主菜单上选择:工具|Composer|安装。

IntelliJ IDEA更新composer.json文件的requirerequire-dev部分中列出的所有包。 


以上内容是否对您有帮助:
硅心科技
二维码
建议反馈
二维码